/*******************************************************************************
 * Copyright (c) 2012 BestSolution.at and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Tom Schindl<tom.schindl@bestsolution.at> - initial API and implementation
 *******************************************************************************/
package org.eclipse.fx.formats.svg.svg;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Graphical Event Attributes</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnfocusin <em>Onfocusin</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnfocusout <em>Onfocusout</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnactivate <em>Onactivate</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnclick <em>Onclick</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmousedown <em>Onmousedown</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmouseup <em>Onmouseup</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmouseover <em>Onmouseover</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmousemove <em>Onmousemove</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmouseout <em>Onmouseout</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnload <em>Onload</em>}</li>
 * </ul>
 *
 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getGraphicalEventAttributes()
 * @model interface="true" abstract="true"
 * @generated
 */
public interface GraphicalEventAttributes extends EObject {
	/**
	 * Returns the value of the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Onfocusin</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Onfocusin</em>' attribute.
	 * @see #setOnfocusin(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getGraphicalEventAttributes_Onfocusin()
	 * @model
	 * @generated
	 */
	String getOnfocusin();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnfocusin <em>Onfocusin</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Onfocusin</em>' attribute.
	 * @see #getOnfocusin()
	 * @generated
	 */
	void setOnfocusin(String value);

	/**
	 * Returns the value of the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Onfocusout</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Onfocusout</em>' attribute.
	 * @see #setOnfocusout(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getGraphicalEventAttributes_Onfocusout()
	 * @model
	 * @generated
	 */
	String getOnfocusout();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnfocusout <em>Onfocusout</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Onfocusout</em>' attribute.
	 * @see #getOnfocusout()
	 * @generated
	 */
	void setOnfocusout(String value);

	/**
	 * Returns the value of the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Onactivate</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Onactivate</em>' attribute.
	 * @see #setOnactivate(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getGraphicalEventAttributes_Onactivate()
	 * @model
	 * @generated
	 */
	String getOnactivate();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnactivate <em>Onactivate</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Onactivate</em>' attribute.
	 * @see #getOnactivate()
	 * @generated
	 */
	void setOnactivate(String value);

	/**
	 * Returns the value of the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Onclick</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Onclick</em>' attribute.
	 * @see #setOnclick(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getGraphicalEventAttributes_Onclick()
	 * @model
	 * @generated
	 */
	String getOnclick();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnclick <em>Onclick</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Onclick</em>' attribute.
	 * @see #getOnclick()
	 * @generated
	 */
	void setOnclick(String value);

	/**
	 * Returns the value of the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Onmousedown</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Onmousedown</em>' attribute.
	 * @see #setOnmousedown(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getGraphicalEventAttributes_Onmousedown()
	 * @model
	 * @generated
	 */
	String getOnmousedown();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmousedown <em>Onmousedown</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Onmousedown</em>' attribute.
	 * @see #getOnmousedown()
	 * @generated
	 */
	void setOnmousedown(String value);

	/**
	 * Returns the value of the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Onmouseup</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Onmouseup</em>' attribute.
	 * @see #setOnmouseup(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getGraphicalEventAttributes_Onmouseup()
	 * @model
	 * @generated
	 */
	String getOnmouseup();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmouseup <em>Onmouseup</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Onmouseup</em>' attribute.
	 * @see #getOnmouseup()
	 * @generated
	 */
	void setOnmouseup(String value);

	/**
	 * Returns the value of the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Onmouseover</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Onmouseover</em>' attribute.
	 * @see #setOnmouseover(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getGraphicalEventAttributes_Onmouseover()
	 * @model
	 * @generated
	 */
	String getOnmouseover();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmouseover <em>Onmouseover</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Onmouseover</em>' attribute.
	 * @see #getOnmouseover()
	 * @generated
	 */
	void setOnmouseover(String value);

	/**
	 * Returns the value of the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Onmousemove</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Onmousemove</em>' attribute.
	 * @see #setOnmousemove(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getGraphicalEventAttributes_Onmousemove()
	 * @model
	 * @generated
	 */
	String getOnmousemove();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmousemove <em>Onmousemove</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Onmousemove</em>' attribute.
	 * @see #getOnmousemove()
	 * @generated
	 */
	void setOnmousemove(String value);

	/**
	 * Returns the value of the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Onmouseout</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Onmouseout</em>' attribute.
	 * @see #setOnmouseout(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getGraphicalEventAttributes_Onmouseout()
	 * @model
	 * @generated
	 */
	String getOnmouseout();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmouseout <em>Onmouseout</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Onmouseout</em>' attribute.
	 * @see #getOnmouseout()
	 * @generated
	 */
	void setOnmouseout(String value);

	/**
	 * Returns the value of the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Onload</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Onload</em>' attribute.
	 * @see #setOnload(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getGraphicalEventAttributes_Onload()
	 * @model
	 * @generated
	 */
	String getOnload();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnload <em>Onload</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Onload</em>' attribute.
	 * @see #getOnload()
	 * @generated
	 */
	void setOnload(String value);

} // GraphicalEventAttributes
